Provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi
Interface Provider

All Known Subinterfaces:
  SelectionProvider, SystemBoundProvider, XletBoundProvider

    public interface Provider

Abstract interface for all DVB providers.

Since:
  MHP 1.1.3

Method Summary
`String` | `getName()` Returns the name of this provider.
`Class[]` | `getServiceProviderInterfaces()` Gives a list of the SPI's implemented by this provider.
`String` | `getVersion()` Return the version of this provider.
`void` | `providerRegistered()` Called by the system when this provider is registered.
`void` | `providerUnregistered()` Called by the system when this provider is unregistered.

Method Detail

### getName

    String getName()

  Returns the name of this provider. This can be used for debugging purposes, e.g. in a crash log. The name shall be encoded as defined for the permission request file in the main body of the present document. For example "0x0000000B.EMV_PK11.VISA_REVOLVER".

  Returns:
    the name

### getVersion

    String getVersion()

  Return the version of this provider. The format of this string is not specified.

  Returns:
    the version of this provider.

### getServiceProviderInterfaces

    Class[] getServiceProviderInterfaces()

  Gives a list of the SPI's implemented by this provider. The list shall be at least one element long, and shall contain only valid SPI interfaces defined by the terminal specification. Unknown interfaces (e.g. application-defined interfaces) shall be rejected, as documented in ProviderRegistry.

  Returns:
    a list of SPIs
  See Also:
    `ProviderRegistry.registerXletBound(org.dvb.spi.XletBoundProvider)`, `ProviderRegistry.registerSystemBound(org.dvb.spi.SystemBoundProvider)`

### providerRegistered

    void providerRegistered()

  Called by the system when this provider is registered.

### providerUnregistered

    void providerUnregistered()

  Called by the system when this provider is unregistered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD